/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;
import org.threeten.bp.LocalDate;

import java.math.BigDecimal;
import java.util.Objects;

/**
 * Model101
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model101 {
  @SerializedName("Description_of_items")
  private String descriptionOfItems = null;

  @SerializedName("Name_of_owner")
  private String nameOfOwner = null;

  @SerializedName("Place_of_purchase_of_items")
  private String placeOfPurchaseOfItems = null;

  @SerializedName("Date_of_purchase_of_items")
  private LocalDate dateOfPurchaseOfItems = null;

  @SerializedName("Aproximate_value_of_items")
  private BigDecimal aproximateValueOfItems = null;

  public Model101 descriptionOfItems(String descriptionOfItems) {
    this.descriptionOfItems = descriptionOfItems;
    return this;
  }

   /**
   * Get descriptionOfItems
   * @return descriptionOfItems
  **/
  @ApiModelProperty(example = "t", value = "")
  public String getDescriptionOfItems() {
    return descriptionOfItems;
  }

  public void setDescriptionOfItems(String descriptionOfItems) {
    this.descriptionOfItems = descriptionOfItems;
  }

  public Model101 nameOfOwner(String nameOfOwner) {
    this.nameOfOwner = nameOfOwner;
    return this;
  }

   /**
   * Get nameOfOwner
   * @return nameOfOwner
  **/
  @ApiModelProperty(example = "s", value = "")
  public String getNameOfOwner() {
    return nameOfOwner;
  }

  public void setNameOfOwner(String nameOfOwner) {
    this.nameOfOwner = nameOfOwner;
  }

  public Model101 placeOfPurchaseOfItems(String placeOfPurchaseOfItems) {
    this.placeOfPurchaseOfItems = placeOfPurchaseOfItems;
    return this;
  }

   /**
   * Get placeOfPurchaseOfItems
   * @return placeOfPurchaseOfItems
  **/
  @ApiModelProperty(example = "hyd", value = "")
  public String getPlaceOfPurchaseOfItems() {
    return placeOfPurchaseOfItems;
  }

  public void setPlaceOfPurchaseOfItems(String placeOfPurchaseOfItems) {
    this.placeOfPurchaseOfItems = placeOfPurchaseOfItems;
  }

  public Model101 dateOfPurchaseOfItems(LocalDate dateOfPurchaseOfItems) {
    this.dateOfPurchaseOfItems = dateOfPurchaseOfItems;
    return this;
  }

   /**
   * Get dateOfPurchaseOfItems
   * @return dateOfPurchaseOfItems
  **/
  @ApiModelProperty(example = "2016-04-04", value = "")
  public LocalDate getDateOfPurchaseOfItems() {
    return dateOfPurchaseOfItems;
  }

  public void setDateOfPurchaseOfItems(LocalDate dateOfPurchaseOfItems) {
    this.dateOfPurchaseOfItems = dateOfPurchaseOfItems;
  }

  public Model101 aproximateValueOfItems(BigDecimal aproximateValueOfItems) {
    this.aproximateValueOfItems = aproximateValueOfItems;
    return this;
  }

   /**
   * Get aproximateValueOfItems
   * @return aproximateValueOfItems
  **/
  @ApiModelProperty(example = "100.0", value = "")
  public BigDecimal getAproximateValueOfItems() {
    return aproximateValueOfItems;
  }

  public void setAproximateValueOfItems(BigDecimal aproximateValueOfItems) {
    this.aproximateValueOfItems = aproximateValueOfItems;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model101 model101 = (Model101) o;
    return Objects.equals(this.descriptionOfItems, model101.descriptionOfItems) &&
        Objects.equals(this.nameOfOwner, model101.nameOfOwner) &&
        Objects.equals(this.placeOfPurchaseOfItems, model101.placeOfPurchaseOfItems) &&
        Objects.equals(this.dateOfPurchaseOfItems, model101.dateOfPurchaseOfItems) &&
        Objects.equals(this.aproximateValueOfItems, model101.aproximateValueOfItems);
  }

  @Override
  public int hashCode() {
    return Objects.hash(descriptionOfItems, nameOfOwner, placeOfPurchaseOfItems, dateOfPurchaseOfItems, aproximateValueOfItems);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model101 {\n");
    
    sb.append("    descriptionOfItems: ").append(toIndentedString(descriptionOfItems)).append("\n");
    sb.append("    nameOfOwner: ").append(toIndentedString(nameOfOwner)).append("\n");
    sb.append("    placeOfPurchaseOfItems: ").append(toIndentedString(placeOfPurchaseOfItems)).append("\n");
    sb.append("    dateOfPurchaseOfItems: ").append(toIndentedString(dateOfPurchaseOfItems)).append("\n");
    sb.append("    aproximateValueOfItems: ").append(toIndentedString(aproximateValueOfItems)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

